Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: php versie 5.2 in 10.04  (gelezen 1191 keer)

Offline benjamins

  • Lid
    • Alles over Linux
  • Steunpunt: Nee
php versie 5.2 in 10.04
« Gepost op: 2010/09/17, 17:29:41 »
Hallo,

Ik draai Ubuntu 10.04 maar nu heb ik php versie 5.2 nodig hoe kan ik dat installeren?
Gr.
Benjamins
Informatie over linux: Alles over Linux


Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: php versie 5.2 in 10.04
« Reactie #1 Gepost op: 2010/09/18, 08:29:31 »
Waarom wil je per se die versie hebben?
In Lucid zit 5.3, is daar iets mis mee?

Offline benjamins

  • Lid
    • Alles over Linux
  • Steunpunt: Nee
Re: php versie 5.2 in 10.04
« Reactie #2 Gepost op: 2010/09/18, 10:27:45 »
Ik wil een php script draaien alleen is die nog niet compatible met php 5.3.
Gr.
Benjamins
Informatie over linux: Alles over Linux


Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Re: php versie 5.2 in 10.04
« Reactie #3 Gepost op: 2010/09/18, 10:36:07 »
Versie 5.2 wordt niet meer ondersteund, zie hier: http://www.php.net/archive/2010.php#id2010-07-22-1
Dus wil je je systeem veilig houden, dan gebruik je beter 5.3

Dit linkje is wellicht ook wel interessant: http://nl.php.net/migration53

Offline Rachid

  • Vertaalteam
    • rachidbm
    • Mijn blog
  • Steunpunt: Nee
Re: php versie 5.2 in 10.04
« Reactie #4 Gepost op: 2010/09/18, 14:03:56 »
Ik wil een php script draaien alleen is die nog niet compatible met php 5.3.
Is het 1 script? Of is het een hele webapp? Wellicht kun je een bepaalde instelling in 5.3 wijzigen om het te laten werken. Of een kleine wijziging in de php code.

Oudere packages in APT kun je installeren door de sources list van bijv karmic te gebruiken.
Dus php verwijderen, sources veranderen naar karmic, php installeren en dan die packages 'locken' (zodat ze geen updates/upgrades hoeven) en dan sources weer terug veranderen naar lucid.
Ben je ook blij dat Ubuntu zo toegankelijk en gratis is, en wil je graag net als ik iets terugdoen, kijk dan eens rond bij mwanzo, dé poort naar het bijdragen aan Ubuntu en haar gemeenschap!

Offline benjamins

  • Lid
    • Alles over Linux
  • Steunpunt: Nee
Re: php versie 5.2 in 10.04
« Reactie #5 Gepost op: 2010/09/18, 23:39:18 »
Het gaat om een webapplicatie.
Gr.
Benjamins
Informatie over linux: Alles over Linux


Offline Dakey

  • Lid
  • Steunpunt: Nee
Re: php versie 5.2 in 10.04
« Reactie #6 Gepost op: 2010/09/23, 13:10:04 »
Dat gaat gewoon lukken als je xampp installeert. Ik had de 5.2 versie ook nodig onder 10.04, dus gewoon even een oudere versie van xampp (bv. 1.7.1 > daar zit php 5.2.9
 in) installeren.

Xampp: http://www.apachefriends.org
Oudere files: http://sourceforge.net/projects/xampp/files/XAMPP%20Linux/
« Laatst bewerkt op: 2010/09/23, 13:11:59 door Dakey »